/**
 * 全局通用字段定义
 */

/**
 * 玩法类型
 * 普通任务：common=1;
 * 抽奖：lottery=2
 */
export const PlayType = {
  common: 1,
  lottery: 2,
};

/**
 * 奖品类型
 * 货币:money=1;
 * 自定义奖品:custom=2
 */
export const RewardType = {
  money: 1,
  custom: 2,
};

/**
 * 任务类型
 */
export const TaskType = {
  twitterFollow: 1,
  twitterLikeTweet: 2,
  twitterRetweet: 3,
  joinDiscord: 7,
  repostToFacebook: 8,
  twitterCommentAndTag: 9,
};

/**
 * 帖子类型
 */

export const PostType = {
  giveaway: 1,
  nftGroup: 2,
  postEditor: 3
}
